#include <stdio.h>
#include <string.h>

int main()
{
    long int n,i,j;
    scanf("%ld",&n);
    double p[n],x,max;
    long int a[n];
    for(i=0;i<n;i++){
        scanf("%ld %lf",&a[i],&p[i]);
    }
    for(i=0;i<n;i++){
        x=0;
        for(j=0;j<n;j++){
            if(p[j]>=p[i]){
                x=x+a[j]*p[i]/100;
            }
        }
        if(max<x){
            max=x;
        }
    }
    printf("%lf",max);

}